@use '../../../global/styles-variables' as *;
@use '../../../global/utilities' as *;

:host {
  display: block;

  .digi-docs-icons {
    &__filters {
      margin-top: var(--digi--margin--largest);
      margin-bottom: var(--digi--margin--largest);
    }

    &__search-filter {
      max-width: 50%;
      margin-bottom: var(--digi--margin--large);

      @media screen and (max-width: $digi--breakpoint--large-below) {
        max-width: 100%;
      }
    }

    &__list-wrapper {
      display: grid;
      grid-template-columns: 1fr;
      justify-content: center;
      width: 100%;
    }

    &__list {
      max-width: 100%;
      list-style: none;
      padding: 0;
      margin: var(--digi--padding--small) 0;

      display: grid;
      grid-gap: var(--digi--padding--medium);
      box-sizing: border-box;

      grid-template-columns: repeat(
        auto-fit,
        minmax(calc(50% - #{var(--digi--padding--medium)}), 1fr)
      );

      @media screen and (min-width: $digi--breakpoint--large) {
        grid-template-columns: repeat(
          auto-fit,
          minmax(calc(33.3% - #{var(--digi--padding--medium)}), 1fr)
        );
      }

      @media screen and (min-width: $digi--breakpoint--x-large) {
        grid-template-columns: repeat(auto-fit, minmax(rem(250), 1fr));
      }
    }

    &__item {
      display: flex;
      flex-direction: column;
      justify-content: center;
    }

    &__icon {
      --digi--icon--width: 1.5rem;
      --digi--icon--height: 1.5rem;
      display: inline-flex;
    }

    &__main {
      color: var(--digi--color--text--primary);

      display: flex;
      flex-direction: column;
      align-items: center;
      text-align: center;
      white-space: nowrap;
      box-shadow: 0 0.0625rem 0.1875rem 0 rgba(0, 0, 0, 0.35);
      border-radius: var(--digi--border--radius--secondary);
      width: 100%;

      &--inverted {
        color: white;
        background: var(--digi--color--background--inverted);
        --digi--color--text--inverted: white;
      }

      &--primary {
        color: var(--digi--color--text--primary);
        // --digi--typography--color--text--dimmed: var(--digi--ui--color--primary);
      }
    }

    &__figure {
      margin: var(--digi--padding--medium) 0;
      --digi--icon--width: var(
        --digi--typography--heading-1--font-size--desktop
      );
      --digi--icon--height: var(
        --digi--typography--heading-1--font-size--desktop
      );
    }

    &__footer {
      width: 100%;
      margin-top: auto;
      display: flex;
      justify-content: center;
      background: var(--digi--color--background--secondary);
      padding: var(--digi--padding--smaller) 0;
      border-radius: 0 0 var(--digi--border--radius--secondary)
        var(--digi--border--radius--secondary);
      justify-content: space-evenly;
    }
  }
}
